package javax.swing.plaf.synth;

import java.awt.Graphics;
import javax.swing.plaf.ComponentUI;
import javax.swing.JComponent;

public class SynthRadioButtonMenuItemUI extends SynthMenuItemUI
{
    public SynthRadioButtonMenuItemUI() {
    }
    
    public static ComponentUI createUI(JComponent component) {
        return new SynthRadioButtonMenuItemUI();
    }
    
    @Override
    protected String getPropertyPrefix() {
        return "RadioButtonMenuItem";
    }
    
    @Override
    void paintBackground(SynthContext synthContext, Graphics graphics, JComponent component) {
        synthContext.getPainter().paintRadioButtonMenuItemBackground(synthContext, graphics, 0, 0, component.getWidth(), component.getHeight());
    }
    
    @Override
    public void paintBorder(SynthContext synthContext, Graphics graphics, int n, int n2, int n3, int n4) {
        synthContext.getPainter().paintRadioButtonMenuItemBorder(synthContext, graphics, n, n2, n3, n4);
    }
}
